//| =========================================================================
//| INI file for iProInst.exe                      2K/XP Generic Version 9.21
//| -------------------------------------------------------------------------

//| =========================================================================
//|
//| Configurable keywords 
//|
//| =========================================================================
<Config>
    DebugMode           = False
    // ----------------------------------------------------------------------
    //  Mandatory settings
    // ----------------------------------------------------------------------
    FamilyCode          = 9.21              
    PFilesOffset        = "Intel\Wireless"  
    EFData              = "Intel® PROSet/Wireless", Alpha, "11.1.1.0"
    // ----------------------------------------------------------------------
    //  Default over-rides
    // ----------------------------------------------------------------------
    Autorun             = TRUE          // default - FALSE
    InstallMode         = FULL          // default - FULL  [FULL | SILENT | REDUCED]
    SilentReboot        = FALSE         // default - FALSE
    ErrorMode           = ROLLBACK      // default - CONTINUE  [ROLLBACK | HALT | CONTINUE]
    Language            = ALL           // default - ALL   [ALL | ENU | FRA | ... | SVE] 
    DowngradeLegal      = FALSE         // default - FALSE  
    ExtendedSupport     = FALSE         // default - TRUE 
    //
    BatteryLevel        = 25            // default - 25
    ProfileSave         = 10            // default - 10 [ 0 | 9 | 10 ]
    // ----------------------------------------------------------------------
    //  Macro over-rides
    // ----------------------------------------------------------------------
    HideTrayIcon        = FALSE         // default - FALSE   
    Disable11A          = FALSE         // default - FALSE
    NoWirelessRadio     = FALSE         // default - FALSE
    NoEAPSIMM           = TRUE         // default - FALSE
    PAC                 = TRUE          // default - TRUE
    SharedProfiles      = FALSE         // default - FALSE
    NoRFKill            = FALSE         // default - FALSE
    D_RF_KILL           = FALSE         // default - FALSE
    MSZCFG              = FALSE         // default - FALSE
    NoExcludeList       = FALSE         // default - FALSE
    AutoImport          = FALSE         // default - FALSE
    Persistent          = FALSE         // default - FALSE
    Prelogon            = FALSE         // default - FALSE
    SecurityLevel       = 0x00          // default - 0x00
    GlobalWiFiManager   = FALSE         // default - FALSE
    AAANotify           = FALSE         // default - FALSE
    SharedFolder        = 0x00          // default - 0x03
    CCxv4               = TRUE          // default - TRUE
    OOBE                = FALSE         // default - FALSE
    // ----------------------------------------------------------------------
    //  Qualification section
    // ----------------------------------------------------------------------
    AllowedAdapter  = NULL, CW2_BG, CX2_BG, CX2_ABG, GOL_ABG, KDR_ABG   
    AllowedUpgrade  = {09.xx - Installer FamilyCode Version}    // Lisbon  
    AllowedUpgrade  = {08.xx - Installer FamilyCode Version}    // Not Defined
    AllowedUpgrade  = {07.xx - Installer FamilyCode Version}    // Loudon
    AllowedUpgrade  = {05.xx - Installer FamilyCode Version}    // Golan
    AllowedUpgrade  = {04.xx - Installer FamilyCode Version}    // Not Defined
    AllowedUpgrade  = {03.xx - Installer FamilyCode Version}    // Not Defined (was CW2)          
    AllowedUpgrade  = {02.xx - Installer FamilyCode Version}    // MUROC 9.0.2
    AllowedUpgrade  = {01.xx - Installer FamilyCode Version}    // MUROC 9.0.0, 9.0.1
    BlockedUpgrade  = {D01A9DBE-A56C-44EE-8418-2FDAF57074E1}    // CASWELL1
    AllowedUpgrade  = {6ECD30AA-38EE-43D0-9B93-439DFCF50525}    // MASTER_INSTALL
    AllowedUpgrade  = {286A5A7B-E0AB-481E-B451-2E9EAC3F32B2}    // COMBINED (Or ProSafe)
    AllowedUpgrade  = {642C4071-3526-443B-8D0D-4FCC1ABBC748}    // WIRELESS_SPLIT (Or WlsSafe)
    AllowedUpgrade  = {6BEEE79A-0FD3-40E8-8A4C-F98B1D4468BA}    // SEBRING_API

//| =========================================================================
//|
//| Autorun Data Section
//|
//| =========================================================================
(Install)
    Operation       = Install
    ButtonText      = [2000]
    ToolTip         = [2000]

(UserGuide)
    Operation       = Launch
    ButtonText      = [2010]
    ToolTip         = [2010]
    RelativePath    = ..\..\Docs\iULaunch.exe, index.htm 

(ReleaseNotes)
    Operation       = Launch
    ButtonText      = [2020]
    ToolTip         = [2020]
    RelativePath    = ..\..\relnotes.htm 

//| =========================================================================
//|
//| Feature display selection: '-' DeSelected by default
//|                            '+' Selected by default
//|
//| Win2K
//| WinXP
//| Win64
//|
//| =========================================================================
<Win2K>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore
    MSI_Data   = +, Lev1, DrWifi
    MSI_Data   = +, Lev1, SCfg   
    MSI_Data   = -, Lev1, SSO        
    MSI_Data   = -, Lev2, PLC        
    MSI_Data   = -, Lev1, WMI        
    MSI_Data   = -, Lev1, Toolkit        

<WinXP>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore
    MSI_Data   = +, Lev1, DrWifi
    MSI_Data   = +, Lev1, SCfg   
    MSI_Data   = -, Lev1, SSO        
    MSI_Data   = -, Lev2, PLC        
    MSI_Data   = -, Lev1, WMI        
    MSI_Data   = -, Lev1, Toolkit        

<Win64>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore
    MSI_Data   = +, Lev1, DrWifi
    MSI_Data   = +, Lev1, SCfg   
    MSI_Data   = -, Lev1, SSO        
    MSI_Data   = -, Lev2, PLC        
    MSI_Data   = -, Lev1, WMI        
    MSI_Data   = -, Lev1, Toolkit        

//| =========================================================================
//|
//| MSI data definitions follow.
//|
//| =========================================================================
[Driver]
    FeatureTitle    = [1130]
    Description     = [1131]
    RelativePath    = "iProData\mDriver.msi", "DOINSTALL=Yes SETUPWLD_SILENT=/INFClear"

[WirelessCore]
    FeatureTitle    = [1010]
    Description     = [1011]
    RelativePath    = "iProData\mCore.msi"  
    DependantLink   = ProfileManager
    ConfigureLink   = FeatureSet2
    ConfigureLink   = SharedProfiles
    ConfigureLink   = HideTrayIcon
    ConfigureLink   = NoExcludeList
    ConfigureLink   = AutoImport
    ConfigureLink   = NoEAPSIMM
    ConfigureLink   = MSZCFG
    ConfigureLink   = Disable11A        
    ConfigureLink   = NoWirelessRadio   
    ConfigureLink   = PAC   
    ConfigureLink   = CCxv4
    ConfigureLink   = NoRFKill
    ConfigureLink   = D_RF_KILL
    ConfigureLink   = SecurityLevel
    ConfigureLink   = GlobalWiFiManager
    ConfigureLink   = OOBE
    ConfigureLink   = VERSION
    ConfigureLink   = CONTACT
    ConfigureLink   = INFOABOUT
    ConfigureLink   = SUPPORTINFO 
    ConfigureLink   = UPDATEINFO
    ConfigureLink   = COMMENTS
    ConfigureLink   = WLANImportFile
    ConfigureLink   = AAANotify
    ConfigureLink   = SharedFolder
    ComponentLink   = ProSafe
    ComponentLink   = WlsSafe
    ComponentLink   = MHInstaller
    ComponentLink   = iConverter
    ComponentLink   = ProfileWizard
    ComponentLink   = WirelessAssistant

[ProSafe]
    FeatureTitle    = "ProSafe"
    Description     = "ProSafe"
    RelativePath    = "iProData\mProSafe.msi"   
    NoVersionChk    = True

[WlsSafe]
    FeatureTitle    = "WlsSafe"
    Description     = "WlsSafe"
    RelativePath    = "iProData\mWlsSafe.msi"   
    NoVersionChk    = True

[MHInstaller]
    FeatureTitle    = [1150]
    Description     = [1150]
    RelativePath    = "iProData\mMHouse.msi"    

[XML6]
    FeatureTitle    = [1170]
    Description     = [1171]
    RelativePath    = "iProData\msxml6.msi"   
    NoVersionChk    = True

[ProfileManager]
    FeatureTitle    = [1060]
    Description     = [1061]
    RelativePath    = "iProData\mPfMgr.msi" 
    DependantLink   = XML6

[ProfileWizard]
    FeatureTitle    = [1090]
    Description     = [1091]
    RelativePath    = "iProData\mPfWiz.msi" 

[ZeroConfig]
    FeatureTitle    = [1100]
    Description     = [1101]
    RelativePath    = "iProData\mZConfig.msi"   

[WirelessAssistant]
    FeatureTitle    = [1110]
    Description     = [1111]
    RelativePath    = "iProData\mIWA.msi"   
    DependantLink   = XML6
    DependantLink   = ZeroConfig
    ComponentLink   = mHelp

[mHelp]
    FeatureTitle    = [1050]
    Description     = [1051]
    RelativePath    = "iProData\mHelp.msi" 

[LogViewer]
    FeatureTitle    = [1020]
    Description     = [1021]
    RelativePath    = "iProData\mLogView.msi" 
    DependantLink   = XML6

[DrWifi]
    FeatureTitle    = [1030]
    Description     = [1031]
    RelativePath    = "iProData\mDrWiFi.msi" 
    DependantLink   = LogViewer
    ConfigureLink   = Feature_DrWifi

[SCfg]
    FeatureTitle    = [1070]
    Description     = [1071]
    RelativePath    = "iProData\mSCfg.msi" 
    Disabled        = CX2_AB, CX2_ABG
    ConfigureLink   = Feature_SCfg

[SSO]
    FeatureTitle    = [1120]
    Description     = [1121]
    RelativePath    = "iProData\mSSO.msi"   
    ConfigureLink   = Feature_SSO
    ConfigureLink   = Feature_Persistent

[PLC]
    FeatureTitle    = [1122]
    Description     = [1123]
    RelativePath    = "iProData\mGina.msi"   
    ConfigureLink   = Feature_PreLogon

[WMI]
    FeatureTitle    = [1080]
    Description     = [1081]
    RelativePath    = "iProData\mWMI.msi"  
 
[Toolkit]
    FeatureTitle    = [1140]
    Description     = [1141]
    RelativePath    = "iProData\mToolkit.msi"  
    ConfigureLink   = Feature_Toolkit

//| =========================================================================
//|
//| EXE utility support functions
//|
//| =========================================================================
[iConverter]
    FeatureTitle    = "iConverter"
    Description     = "iConverter"
    RelativePath    = "iProData\iconvrtr.exe", "/Install"
    WorkingDir      = "[BinDir]"
    LaunchAndWait   = TRUE

//| =========================================================================
//| Registry: FeatureSet1
//| =========================================================================
{AutoImport}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx xx1x xxxx  
    Enabled         = FALSE

{D_RF_KILL}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xx1x xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

{NoExcludeList}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxx1 xxxx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

{NoEAPSIMM}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xx1x xxxx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

{NoWirelessRadio}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx 1xxx xxxx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

//| =========================================================================
//| Registry: FeatureSet2
//| =========================================================================
{FeatureSet2}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_DWORD
    IData           = 000001FF

{Feature_AdHoc}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxx0  
    RData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx xxx1 

 {Feature_SSO}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx xx0x  
    RData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx xx1x  

{Feature_DrWifi}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx x0xx  
    RData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx x1xx  

{Feature_Persistent}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx 0xxx  
    RData           = xxxx xxxx xxxx xxxx xxxx xxxx xxxx 1xxx  

{Feature_PreLogon}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx xxx0 xxxx  
    RData           = xxxx xxxx xxxx xxxx xxxx xxxx xxx1 xxxx  

{Feature_Toolkit}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxxx 0xxx xxxx  
    RData           = xxxx xxxx xxxx xxxx xxxx xxxx 1xxx xxxx  

{Feature_SCfg}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxxx xxxx xxx0 xxxx xxxx  
    RData           = xxxx xxxx xxxx xxxx xxxx xxx1 xxxx xxxx  

{NoRFKill}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xxx1 xxxx xxxx xxxx xxxx  
    RData           = xxxx xxxx xxxx xxx0 xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

{PAC}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xx1x xxxx xxxx xxxx xxxx  
    RData           = xxxx xxxx xxxx xx0x xxxx xxxx xxxx xxxx  
    Enabled         = TRUE

{CCxv4}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx 1xxx xxxx xxxx xxxx xxxx
    RData           = xxxx xxxx xxxx 0xxx xxxx xxxx xxxx xxxx 
    Enabled         = TRUE

{SharedProfiles}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx x1xx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

//| =========================================================================
//| Registry: Other
//| =========================================================================
{MSZCFG}
    KeyName         = MSZCFG
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_DWORD
    IData           = 00000001
    Enabled         = FALSE
    
//| =========================================================================
//| INI file - Settings.ini
//| =========================================================================
{HideTrayIcon}
    RelativePath    = [ProgramFilesWireless], bin\Settings.ini
    Section         = IWA
    KeyName         = HideTrayIcon
    IData           = 1
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{OOBE}
    RelativePath    = [ProgramFilesWireless], bin\Settings.ini
    Section         = IWA
    KeyName         = HideTaskTrayOOBE
    IData           = 1
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{SharedFolder}  
    RelativePath    = [ProgramFilesWireless], bin\Settings.ini
    Section         = IWA
    KeyName         = SharedFolder
    IData           = 0x03
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

//| =========================================================================
//| INI file - ITSttngs.ini
//| =========================================================================

{VOIP_CB}
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = VOIP
    IData           = 1
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{Disable11A}        
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = Intel11aRadio
    IData           = 0
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{Persistent}           
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = Persistent
    IData           = 1
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{Prelogon}             
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = Prelogon
    IData           = 1
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{SecurityLevel}  
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = SecurityLevel
    IData           = 0x00
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{GlobalWiFiManager}  
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = GlobalWiFiManager
    IData           = 1
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

{AAANotify}  
    RelativePath    = [AllUsersWireless], ITSttngs.ini
    Section         = CHICKEN_BITS
    KeyName         = AAANotify
    IData           = 0             //Disable notification
    Type            = INI_FILE_SETTING
    Enabled         = FALSE

//| =========================================================================
//| Registry: Add/Remove Program
//| =========================================================================
{VERSION}
    KeyName         = DisplayVersion
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = "11.1.1.0"
    Enabled         = TRUE

{CONTACT}
    KeyName         = Contact
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2031]
    Enabled         = TRUE

{INFOABOUT}
    KeyName         = URLInfoAbout
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2032]
    Enabled         = TRUE

{SUPPORTINFO}
    KeyName         = HelpLink
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2033]
    Enabled         = TRUE

{UPDATEINFO}
    KeyName         = URLUpdateInfo
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2035]
    Enabled         = TRUE

{COMMENTS}
    KeyName         = Comments
    KeyPath         = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ProInst\" 
    Type            = REG_SZ
    IData           = [2034]
    Enabled         = TRUE

//| =========================================================================
//| Registry: WLANImportFile - Tooltip for Profile Import/Export
//| =========================================================================
{WLANImportFile}
    KeyHive         = HKEY_CLASSES_ROOT
    KeyName         = 
    KeyPath         = "WLANImportFile\" 
    Type            = REG_SZ
    IData           = [2040]
    Enabled         = TRUE
